Package fr.gouv.vitam.storage.engine.common.model

# Class ReadOrder

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.QueueMessageEntity
fr.gouv.vitam.storage.engine.common.model.ReadOrder

All Implemented Interfaces:
  `ReadWriteOrder`

public class ReadOrder extends QueueMessageEntity implements ReadWriteOrder

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BUCKET`
  `static final String`
  `FILE_BUCKET_ID`
  `static final String`
  `FILE_NAME`
  `static final String`
  `FILE_POSITION`
  `static final String`
  `SIZE`
  `static final String`
  `TAPE_CODE`

  ### Fields inherited from class fr.gouv.vitam.storage.engine.common.model.QueueMessageEntity

  `ID, MESSAGE_TYPE, PRIORITY, STATE, TAG_CREATION_DATE, TAG_LAST_UPDATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOrder()`
  `ReadOrder(String tapeCode, Integer filePosition, String fileName, String bucket, String fileBucketId, long size)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBucket()`
  `String`
  `getFileBucketId()`
  `String`
  `getFileName()`
  `Integer`
  `getFilePosition()`
  `long`
  `getSize()`
  `String`
  `getTapeCode()`
  `boolean`
  `isWriteOrder()`
  `ReadOrder`
  `setBucket(String bucket)`
  `ReadOrder`
  `setFileBucketId(String fileBucketId)`
  `ReadOrder`
  `setFileName(String fileName)`
  `ReadOrder`
  `setFilePosition(Integer filePosition)`
  `ReadOrder`
  `setSize(long size)`
  `ReadOrder`
  `setTapeCode(String tapeCode)`

  ### Methods inherited from class fr.gouv.vitam.storage.engine.common.model.QueueMessageEntity

  `getCreated, getId, getLastUpdate, getMessageType, getPriority, getState, setCreated, setId, setLastUpdate, setMessageType, setPriority, setState`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.storage.engine.common.model.ReadWriteOrder

  `getId`

- ## Field Details

  - ### TAPE_CODE

    public static final String TAPE_CODE
    See Also:
      - Constant Field Values

  - ### FILE_POSITION

    public static final String FILE_POSITION
    See Also:
      - Constant Field Values

  - ### FILE_NAME

    public static final String FILE_NAME
    See Also:
      - Constant Field Values

  - ### BUCKET

    public static final String BUCKET
    See Also:
      - Constant Field Values

  - ### FILE_BUCKET_ID

    public static final String FILE_BUCKET_ID
    See Also:
      - Constant Field Values

  - ### SIZE

    public static final String SIZE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReadOrder

    public ReadOrder()

  - ### ReadOrder

    public ReadOrder(String tapeCode, Integer filePosition, String fileName, String bucket, String fileBucketId, long size)

- ## Method Details

  - ### getTapeCode

    public String getTapeCode()

  - ### setTapeCode

    public ReadOrder setTapeCode(String tapeCode)

  - ### getFilePosition

    public Integer getFilePosition()

  - ### setFilePosition

    public ReadOrder setFilePosition(Integer filePosition)

  - ### isWriteOrder

    public boolean isWriteOrder()
    Specified by:
      `isWriteOrder` in interface `ReadWriteOrder`

  - ### getFileName

    public String getFileName()

  - ### setFileName

    public ReadOrder setFileName(String fileName)

  - ### getBucket

    public String getBucket()

  - ### setBucket

    public ReadOrder setBucket(String bucket)

  - ### getFileBucketId

    public String getFileBucketId()

  - ### setFileBucketId

    public ReadOrder setFileBucketId(String fileBucketId)

  - ### getSize

    public long getSize()

  - ### setSize

    public ReadOrder setSize(long size)